-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 4506 of the CMF schema. Adds the command schedules table.
--

update SCHEMA_VERSION set VERSION=4506;

create table COMMAND_SCHEDULES (
  SPEC_ID number constraint NOT_NULL_SPEC_ID not null,
  COMMAND_NAME varchar2(255) constraint NOT_NULL_CS_COMMAND_NAME not null,
  COMMAND_ARGUMENTS clob,
  CLUSTER_ID number,
  SERVICE_ID number,
  ROLE_ID number,
  HOST_ID number,
  START_TIME number,
  END_TIME number,
  REPEAT_INTERVAL number constraint NOT_NULL_CS_RPT_INTERVAL not null,
  REPEAT_INTERVAL_UNIT varchar2(255) constraint NOT_NULL_CS_RPT_INTERVAL_UNIT not null,
  PAUSED number(1,0) constraint NOT_NULL_CS_PAUSED not null,
  OPTIMISTIC_LOCK_VERSION number constraint NOT_NULL_CS_OPT_LOCK_VER not null,
  constraint PK_COMMAND_SCHEDULES primary key (SPEC_ID)
);

create index IDX_COMMAND_SCHEDULE_CLUSTER on COMMAND_SCHEDULES (CLUSTER_ID);

create index IDX_COMMAND_SCHEDULE_SERVICE on COMMAND_SCHEDULES (SERVICE_ID);

create index IDX_COMMAND_SCHEDULE_ROLE on COMMAND_SCHEDULES (ROLE_ID);

create index IDX_COMMAND_SCHEDULE_HOST on COMMAND_SCHEDULES (HOST_ID);

alter table COMMAND_SCHEDULES
  add constraint FK_COMMAND_SCHEDULE_CLUSTER
  foreign key (CLUSTER_ID)
  references CLUSTERS
  deferrable initially immediate;

alter table COMMAND_SCHEDULES
  add constraint FK_COMMAND_SCHEDULE_SERVICE
  foreign key (SERVICE_ID)
  references SERVICES
  deferrable initially immediate;

alter table COMMAND_SCHEDULES
  add constraint FK_COMMAND_SCHEDULE_ROLE
  foreign key (ROLE_ID)
  references ROLES
  deferrable initially immediate;

alter table COMMAND_SCHEDULES
  add constraint FK_COMMAND_SCHEDULE_HOST
  foreign key (HOST_ID)
  references HOSTS
  deferrable initially immediate;
