-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 4523 of the CMF schema.
--
-- Modify command schedules table as follows:
--   add not null constraint to start time column
--   add column for schedule version
--   add column for schedule firing state
--

update SCHEMA_VERSION set VERSION=4523;

alter table COMMAND_SCHEDULES
  add column VERSION int8,
  add column FIRE_AFTER_TIME int8;

-- Update statements below required to support internal dev upgrade scenarios.
-- So the fuzzy default values used in these statements should be fine.

-- Default to a start time of 2012-08-01.
update COMMAND_SCHEDULES set START_TIME = 1343804400000 where START_TIME is null;

-- Default to a fire after time that will ensure no firings for schedules with a
-- future start date are missed. Although this will cause schedules with a past
-- start time to run once immediately on the first CM start after this schema
-- is applied, this should be okay since this statement is only present here to
-- support internal dev upgrade scenarios.
update COMMAND_SCHEDULES set FIRE_AFTER_TIME = START_TIME - 1;

update COMMAND_SCHEDULES set VERSION = 0;

alter table COMMAND_SCHEDULES
  alter column START_TIME set not null,
  alter column VERSION set not null;
