// (c) Copyright 2013 Cloudera, Inc. All rights reserved.
define([
  'knockout',
  'cloudera/knockout/ko.formattedDate'
], function(ko) {
  describe('ko.formattedDate', function() {
    it('formats a unix timestamp', function() {
      var update = ko.bindingHandlers.text.update,
        valueAccessor;
      ko.bindingHandlers.text.update = function(blah, va) {
        valueAccessor = va;
      };
      ko.bindingHandlers.formattedDate.update(undefined, function() { return 24 * 60 * 60 * 1000;});

      expect(valueAccessor()).toEqual('January 1 1970 4:00 PM');

      ko.bindingHandlers.formattedDate.update(undefined, function() { return 2 * 24 * 60 * 60 * 1000;});

      expect(valueAccessor()).toEqual('January 2 1970 4:00 PM');

      ko.bindingHandlers.text.update = update;
    });

    it('formats a date string', function() {
      var update = ko.bindingHandlers.text.update,
        valueAccessor;
      ko.bindingHandlers.text.update = function(blah, va) {
        valueAccessor = va;
      };
      ko.bindingHandlers.formattedDate.update(undefined, function() { return new Date(2 * 24 * 60 * 60 * 1000).toISOString();});

      expect(valueAccessor()).toEqual('January 2 1970 4:00 PM');

      ko.bindingHandlers.text.update = update;
    });
  });
});